Bug 1124669 - [RFE][ceilometer]: Automatic discovery of TripleO Overcloud hardware
Summary: [RFE][ceilometer]: Automatic discovery of TripleO Overcloud hardware
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ga
: 6.0 (Juno)
Assignee: Eoghan Glynn
QA Contact: Amit Ugol
URL: https://blueprints.launchpad.net/ceil...
Whiteboard: upstream_milestone_juno-3 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 04:04 UTC by RHOS Integration
Modified: 2015-02-09 20:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Technology Preview
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 20:11:01 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-30 04:04:29 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/ceilometer/+spec/auto-discovery-tripleo-hardware.

Description:

Add a resource discovery extension to support utomatic discovery of TripleO overcloud hardware by:

* geting IP addresses from Undercloud nova, allowing to poll all Overcloud nodes via SNMP

* adding support of basic auth, user_name and password used in TripleO by default

Specification URL (additional information):

None

Comment 2 Ladislav Smola 2014-10-08 11:32:06 UTC
Hello this can be best tested with Instack
https://github.com/agroup/instack-undercloud/blob/master/README-source.md

(there should be equivalent version using packages soon)

Instack is Red Hat TripleO installer.


Here is the whole list of steps that was presented on the demo
https://www.youtube.com/watch?v=--WWdJXmf8o

You can see in the Video that monitoring works.

Comment 3 Eoghan Glynn 2014-10-08 11:38:59 UTC
I've asked the author and primary consumer of this feature to provide guidance on testing, and he has done so in the preceding comment. Please shout if more detail is required.

Comment 4 Scott Lewis 2015-02-09 20:11:01 UTC
This bug has been closed as a part of the RHEL-OSP 6 general availability release. For details, see https://rhn.redhat.com/errata/rhel7-rhos-6-errata.html


Note You need to log in before you can comment on or make changes to this bug.